

On Sat, Apr 23, 2005 at 04:44:11PM -0700, Andrew Morton wrote:
> Adrian Bunk <bunk@stusta.de> wrote:
> >
> > I didn't find any possible modular usage in the kernel.
> > 
> 
> True, but this looks like something which out-of-tree code could possibly
> be using.  I'd prefer to see this one get the deprecated_for_modules
> twelve-month treatment.
>...

Patch below.

cu
Adrian

<--  snip  -->


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/feature-removal-schedule.txt |    8 ++++++++
 include/linux/ioport.h                     |    2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff -puN Documentation/feature-removal-schedule.txt~__deprecated_for_modules-insert_resource Documentation/feature-removal-schedule.txt
--- devel/Documentation/feature-removal-schedule.txt~__deprecated_for_modules-insert_resource	2005-07-26 18:15:47.000000000 -0700
+++ devel-akpm/Documentation/feature-removal-schedule.txt	2005-07-26 18:16:16.000000000 -0700
@@ -121,6 +121,14 @@ Who:	Dominik Brodowski <linux@brodo.de>
 
 ---------------------------
 
+What:	remove EXPORT_SYMBOL(insert_resource)
+When:	April 2006
+Files:	kernel/resource.c
+Why:	No modular usage in the kernel.
+Who:	Adrian Bunk <bunk@stusta.de>
+
+---------------------------
+
 What:	ip_queue and ip6_queue (old ipv4-only and ipv6-only netfilter queue)
 When:	December 2005
 Why:	This interface has been obsoleted by the new layer3-independent
diff -puN include/linux/ioport.h~__deprecated_for_modules-insert_resource include/linux/ioport.h
--- devel/include/linux/ioport.h~__deprecated_for_modules-insert_resource	2005-07-26 18:15:47.000000000 -0700
+++ devel-akpm/include/linux/ioport.h	2005-07-26 18:15:47.000000000 -0700
@@ -94,7 +94,7 @@ extern struct resource iomem_resource;
 extern int request_resource(struct resource *root, struct resource *new);
 extern struct resource * ____request_resource(struct resource *root, struct resource *new);
 extern int release_resource(struct resource *new);
-extern int insert_resource(struct resource *parent, struct resource *new);
+extern __deprecated_for_modules int insert_resource(struct resource *parent, struct resource *new);
 extern int allocate_resource(struct resource *root, struct resource *new,
 			     unsigned long size,
 			     unsigned long min, unsigned long max,
_
